package com.ruoyi.clock.exception;

import com.ruoyi.common.enums.IIntegerEnum;
import java.util.Objects;


/**
 * 异常枚举
 */
public enum ClockRecordExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    ClockRecord_IS_NOT_EXISTS(200001, "打卡记录信息不存在"),

    ;

    private Integer code;

    private String msg;

    ClockRecordExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static ClockRecordExceptionEnum getByCode(int code, ClockRecordExceptionEnum[] values) {
        for (ClockRecordExceptionEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
